Debian bug Squashing Party (Jessie) du 14 au 16 novembre 2014 à Paris

Posté par (page perso) . Édité par Benoît Sibaud. Modéré par Benoît Sibaud. Licence CC by-sa
15
9
nov.
2014
Debian

Une chasse aux bogues (Bug Squashing Party, BSP) est organisée dans les locaux de Mozilla à Paris (Mozilla, 16 bis boulevard Montmartre, 75009 Paris, France). L'évènement aura lieu du vendredi 14 novembre jusqu'au dimanche 16.

Le but d'une BSP est de rassembler des contributeurs Debian pour corriger un maximum de bogues dans la distribution Debian. Des développeurs Debian seront présents pour aider à comprendre le fonctionnement du projet ainsi qu'aider à l'intégration des correctifs à Debian.

Pour des raisons d'organisation, l'inscription sur le Wiki Debian ou sur meetup.com est obligatoire.

Forum général.général PSL Premier Samedi du Libre de novembre à la Cité des Sciences

2
24
oct.
2014

Bonjour !

L'install party mensuelle du Premier Samedi du Libre (PSL) aura lieu le premier novembre 2014 à la Cité des Sciences et de l'Industrie (CSI) de La Villette, au Carrefour Numérique².

Nous avons toujours besoin de volontaires pour l'accueil et les installations. Il est utile, mais pas obligatoire, de vous inscrire comme parrain, parrainé, ou visiteur sur le site premier-samedi.org et/ou le bloc-notes.

  • atelier Blender 3D du BUG Paris
  • permanence Wikimedia
  • fablab du Carrefour Numérique²

Bloc-notes collaboratif (...)

Journal Retour d'expérience ordiphone Moto G 4G et installation d'apk

Posté par (page perso) . Licence CC by-sa
14
23
août
2014

J'ai récemment (fin juillet 2014) acquis un ordiphone Moto G 4G et en suis bien satisfait pour ses ~200 € qui auraient pu le faire passer pour un low-cost.

Je l'ai acquis en remplacement de mon HTC Desire Z qui n'a jamais eu une autonomie de plus de 16h en utilisation normale, mais dont le clavier physique me semblait indispensable (et le reste).
De son côté, le Moto G 4G semble vouloir durer presque 24h (voire 2 jours en (...)

Forum Linux.gui Session Gnome 3 figée

Posté par . Licence CC by-sa
2
26
juil.
2014

Bonjour,

Régulièrement Gnome 3 fige et ne réponds plus du tout. J'ai vraiment l'impression d'avoir à faire à un screenshot, la souris bouge, le son continue comme si de rien était mais je ne peux cliquer sur rien, le clavier ne produit aucun effet les "hot-corners" sont inopérants également.
alt-F2 n'affiche pas la fenêtre de dialogue. Rien, rien, rien.

Du coup, je fais un ctrl-alt-F2 pour passer en tty2 et après m'être loggué sous mon compte puis via su - (...)

Forum Linux.général Libreoffice 4.2 : Bug gênant sur les diaporamas après export PDF

Posté par . Licence CC by-sa
Tags :
7
15
juil.
2014

Bonjour.

Après m'être pris la tête toute une après-midi sur le problème, je tiens à avertir celles et ceux qui comme moi utiliseraient Libreoffice 4.2.5 pour créer des diaporamas en liant les images (sans les incorporer, donc).

Si on fait un export au format PDF, qu'on modifie le fichier odp et qu'on l'enregistre, à la ré-ouverture Libreoffice ne veut plus afficher les images liées !

Conclusion : attention, avant un export pdf d'un diaporama contenant des liens vers des images, la (...)

Forum Programmation.python Demande ponctuelle d'aide dogmazic (site libre de musique libre !)

Posté par . Licence CC by-sa
7
6
mar.
2014

Salut à tous !

Comme dit dans un précédent message je suis le programmeur de la nouvelle version du vénérable (la v1 est sortie il y a 10ans) dogmazic.net (http://www.dogmazic.net/alpha - sources : https://github.com/MusiqueLibre/dogmagoblin/ (c'est du mediagoblin custom))

Je fais actuellement face à 2 bugs pénibles dont je n'arrive pas à me dépêtrer. J'aurais un grand besoin d'un coup de main ponctuel de hackers qui puissent m'aider à passer à autre chose !

Sur le serveur de prod, le transcodage (vers (...)

CARE et la reproductibilité des exécutions

74
5
fév.
2014
Technologie

CARE (Comprehensive Archiver for Reproducible Execution) vient de sortir en version 2.1.

CARE est un outil permettant d'observer l'exécution d'une commande Linux (ls, gcc, vlc, …) et de créer une archive contenant l'intégralité des fichiers utilisés lors de l'exécution de cette commande. Il est alors possible d'extraire cette archive sur une autre machine afin de relancer la commande dans le système de fichiers d'origine.

Lors de la ré-exécution, la commande sera entièrement isolée dans l'archive et ne pourra accéder qu'aux fichiers et à l'environnement présent dans cette archive. Il est important de noter que les événements extérieurs (comme les entrées clavier, réseau, …) ne sont pas archivés et doivent, si nécessaire, être recréés par l'utilisateur.

Forum Linux.debian/ubuntu Vulnérabilité = high sur maj debian 7.1 : WTF ?!

Posté par (page perso) . Licence CC by-sa
0
4
juil.
2013

Salut linuxFR.

Voilà je viens tous juste de migrer de squeeze vers wheezy sur mon serveur web, et voici ce que contenait le rapport des changements en début d'installation.

Il débute sympathiquement par deux grosses urgency=high et medium sur lighttpd (que j'utilise pour m'héberger … sympa).

A ce propos j'ai été obligé d'utiliser les miroirs Allemands pour l'update car sur les miroirs français je téléchargeais à quelque chose comme 5 253 B/s … et plus de 9**M/s** sur les Allemands (...)

Root exploit sur les noyaux linux 2.6.38 à 3.8.8

Posté par . Édité par Nÿco, Christophe Guilloux et Benoît Sibaud. Modéré par patrick_g. Licence CC by-sa
44
17
mai
2013
Noyau

Un nouveau root exploit est apparu mardi et concerne les noyaux Linux de 2.6.38 à 3.8.8 ayant CONFIG_PERF_EVENTS activé.

Tapez la commande suivante pour savoir si vous êtes impacté :
zgrep CONFIG_PERF_EVENTS /proc/config.gz

Si zgrep répond cette ligne, vous êtes impacté.
CONFIG_PERF_EVENTS=y

Le patch existe depuis plusieurs semaines mais n'a pas été forcement intégré dans toutes les distributions - cherchez le code CVE-2013-2094 dans les derniers security advisory.

La Debian Wheezy a été patchée ce matin (je mets le lien vers le mail de la liste de diffusion « security » car je ne trouve pas l'annonce de sécurité debian sur le site).

Pour ceux qui ne peuvent pas patcher immédiatement leur noyau, il faut suivre le lien vers l'outil de suivi de bug de redhat qui propose plusieurs solutions temporaires plus ou moins efficaces.

Forum général.cherche-logiciel Bugs sur aMSN, besoin de linux?

Posté par . Licence CC by-sa
0
4
mai
2013

Bonjour à tous,

Tout d'abord je ne sais pas exactement si je suis au bon endroit sur le forum pour ce genre de sujet et je m'en excuse d'avance si ce n'est pas le cas :-S

Voilà je suis nouvel utilisateur d'aMSN depuis environ deux semaines et la personne avec qui je corresponds n'a aucun problème ou bug contrairement à moi. Ce qui m'arrive, et ce, depuis déjà ma toute première utilisation (j'ai désinstallé et réinstallé amsn plusieurs fois, sur (...)

Journal ZeroMQ et les mangoustes

Posté par (page perso) .
33
10
nov.
2012

Sommaire

On m'a récemment demandé d'expliquer pourquoi je trouve que ZeroMQ est un sujet de rigolade. En guise d'introduction, j'aimerais préciser qu'un panel d'experts concertés sur le sujet ont eu des réactions similaires lorsqu'ils ont été exposés à deux lignes de ZeroMQ :

< Krunch> 1149 event.data.connected.addr = (char *)addr_;
< Krunch> 1150 event.data.disconnected.fd = fd_;
< Krunch> avec event.data qui est un union
< s> ahah
< n> nice
< n> http://i.imgur.com/pejxB.gif

(...)

Journal Humble Indie Bundle 4 : faire marcher Super Meat Boy avec n'importe quelle carte graphique

13
8
fév.
2012

Nals, Naux,

Il y a peu, Super Meat Boy a été adapté sous Linux pour le Humble Indie Bundle 4.

Comme LinusqueFR est un site en faveur du logiciel porcprio et pas hallal, je n'ai pas honte de dire que j'adore jouer à ce jeu.

Mais, il y a un mais, qui empêche les linusquiens de jouer à Super Meat Boy librement :

"Graphics: May not work with Intel Integrated Graphics"

http://humble.assistly.com/customer/portal/articles/261150-humble-indie-bundle-4-system-reqs#smb

Qui en fait ne touche pas que les (...)

Journal Apache n'apprécie pas le HTTP Range

Posté par . Licence CC by-sa
37
25
août
2011

Un bug exploitable à distance a récemment été découvert sur le serveur HTTP Apache et affecterait toutes les versions depuis la 1.3.

Le bug provient de la façon dont Apache traite une requête HTTP demandant plusieurs rangées de données se chevauchant. En effet, il est possible de spécifier dans l'en-tête HTTP la rangée des données que l'on veut recevoir au lieu des données complètes. Ceci est notamment utilisé lors du téléchargement d'un fichier et permet de reprendre le téléchargement là (...)

Journal Linux 3 et Python : bugs en approche

Posté par . Licence CC by-sa
Tags :
20
19
juil.
2011

Dans un certain laps de temps qui dépend de votre distribution (demain pour les gentooistes, une semaine environ pour les archers, novembre ou avril pour les ubunteros et les fedoristes, quand ça sera prêt pour les debianeux) votre système tournera sur un noyal Linux en version 3.x. Du coup Python verra les choses autrement :

>>> import sys
>>> sys.platform
'linux3'
Alors qu'actuellement la commande renvoi 'linux2'. par conséquent il y aura des corrections à apporter aux programmes (...)